<?php

namespace App\Http\Controllers\API;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Storage; 
use Illuminate\Support\Facades\Hash;
use App\Helpers\Common\Functions;

use Auth;
use Mail;
use Illuminate\Support\Facades\URL; 

class FilmMakerCategoryController extends Controller
{
    private function _error_string($errArray)
    {
        $error_string = '';
        foreach ($errArray as $key) {
            $error_string.= $key."\n";
        }
        return $error_string;
    }    

    public function category_list(Request $request){
    
                    $res=   DB::table('film_maker_categories')
                     ->select(DB::raw('film_maker_cat_id as cat_id,cat_name as category'))
	                ->orderBy('rank','ASC')
	                ->get();
               
                $data=array();
                foreach($res as $r){
                    $s = array('cat_id'=>$r->cat_id,'cat_name'=>$r->category);
                    array_push($data,$s);
                }
               $response = array("status" => "success",'msg'=>'category listed successfully' ,'content' => $data);
            
            return response()->json($response); 
        
    }
    
    public function getCategory(Request $request){
    
        $res=   DB::table('film_maker_categories')
         ->select(DB::raw('cat_name as category'))
         ->where('film_maker_cat_id',$request->cat_id)
        ->first();

   
   $response = array("status" => "success",'msg'=>'category selected successfully' ,'cat_name'=>$res->category);

return response()->json($response); 

}

}   