<?php

namespace App\Http\Controllers\API;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Storage; 
use Illuminate\Support\Facades\Hash;
use App\Helpers\Common\Functions;
use App\Mail\Admin\SendMail;
use Intervention\Image\ImageManagerStatic as Image;

use Auth;
use Mail;
use Illuminate\Support\Facades\URL; 

class MailTestController extends Controller
{
    private function _error_string($errArray)
    {
        $error_string = '';
        foreach ($errArray as $key) {
            $error_string.= $key."\n";
        }
        return $error_string;
    }
   
    public function mail_test(Request $request){
                       
                $mailBody ='<b>Hi sss ,<b><br /> 
                We have received your request to reset the password of your account. <br />
				
				Use this verification code to reset your password. ignore this email if you have not requested for this <br />
				<br />
				<br />
				Thanks <br />'.env('COMPANY_NAME');
				$array = array('subject'=>'Verification Code','view'=>'emails.email','body' => $mailBody);
				
				Mail::to('sarita.unify@gmail.com')->send(new SendMail($array)); 
				
               
                $response = array("status" => "success",'msg'=>'We have sent you a verification code on your email , Please check your inbox and fill the verification code' );
           
            
            return response()->json($response); 
        
        
    }

}   