<?php

namespace App\Http\Controllers\API;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Storage; 
use Illuminate\Support\Facades\Hash;
use App\Helpers\Common\Functions;

use Auth;
use Mail;
use Illuminate\Support\Facades\URL; 

class RegistrationFeeController extends Controller
{
    private function _error_string($errArray)
    {
        $error_string = '';
        foreach ($errArray as $key) {
            $error_string.= $key."\n";
        }
        return $error_string;
    }    

    public function get_registration_fee(Request $request){
    
                    $res=   DB::table('settings')
                     ->select(DB::raw('registration_fee,inv_comapny_name'))
                    ->first();
                   
                $data=array("registration_fee"=>$res->registration_fee,"comapny_name"=>$res->inv_comapny_name);
               $response = array("status" => "success",'msg'=>'registration fee' ,'content' => $data);
            
            return response()->json($response); 
        
    }

}   