<?php

namespace App\Http\Controllers\API;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Storage; 
use Illuminate\Support\Facades\Hash;
use App\Helpers\Common\Functions;
use VideoThumbnail;
use Auth;
use Mail;
use Illuminate\Support\Facades\URL; 

class VideoEmbedController extends Controller
{
    private function _error_string($errArray)
    {
        $error_string = '';
        foreach ($errArray as $key) {
            $error_string.= $key."\n";
        }
        return $error_string;
    }

    public function embed_video($post_id,$user_id){
  
				 	$video_res=DB::table('posts')
                            ->select(DB::raw('post_id,file,title'))
                            ->where('type','V')
                            ->where('post_id',$post_id)
                            ->first();
                       
                    if($video_res->file!=""){
							$file=Storage::url("videos/".$user_id."/".$video_res->file);
							echo "<video autoplay width='100%' style='height:100%;margin:auto' controls preload webkit-playsinline playsinline>  <source src='$file' type='video/ogg'> <source src='$file' type='video/mp4'></video>";
					}else{
						echo "file not found";
					}
				
           
    }
    
}   