<?php

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Storage; 
use Illuminate\Support\Facades\Hash;
use App\Helpers\Common\Functions;
use VideoThumbnail;
use Auth;
use Mail;
use Illuminate\Support\Facades\URL; 

class AbcController extends Controller
{
    private function _error_string($errArray)
    {
        $error_string = '';
        foreach ($errArray as $key) {
            $error_string.= $key."\n";
        }
        return $error_string;
    }

    public function abc(Request $request){
       
               $video_path=url("/assets/videos/video.mp4");
              
               $thumb_path=url("/assets/videos/thumb/");
                //$thumbnail=VideoThumbnail::createThumbnail($video_path, $thumb_path, 'abc.jpg', 2, 600, 60);
                $thumbnail=VideoThumbnail::createThumbnail($video_path, $thumb_path, '111.jpg', 2, 600, 600);
                if($thumbnail){
                  
                     print_r($thumbnail);
                     exit;
                 }else{
                     echo "no";
                     exit;
                 }
            
    }

    public function video_delete(Request $request){
        $functions = new Functions();
        $res = $functions->validate_token($request->user_id,$request->app_token,'C');
        if($res>0){
            $user_id   = $request->user_id;
            $video_id  = $request->video_id;
            DB::table('user_videos')->where('video_id', $video_id)->where('user_id', $user_id)->delete();
            
            $response = array("status" => "success",'msg'=>'Video Deleted successfully');
        }else{
            $response = array( "status" => "error", "msg" => "Invalid Token");
        }
        return response()->json($response);
    }

    
}   