<?php

namespace App\Http\Controllers\Admin;

use App\Models\Day;
use Illuminate\Http\Request;
use App\Models\AppointmentDayPrice;
use App\Http\Controllers\Controller;

class AppointmentPriceController extends Controller
{
    public function index(Request $request){
        $title='Appointment Fee';
        $records=Day::with(['appointment_day_price'])->orderBy('id','asc')->get();
        return view('admin.appointment_price',compact('records','title'));
    }

    public function update(Request $request){
        // dd($request->all());
        foreach($request->day as $key=>$day){
            $appointmentPrice=AppointmentDayPrice::where('day_id',$day)->first();
            if(!$appointmentPrice){  
                $appointmentPrice=new AppointmentDayPrice(); 
            }
            $active = $request->active[$key];
            $price = $request->price[$key];
            $appointmentPrice->day_id=$day;
            $appointmentPrice->active=isset($active) ? $active : 0;
            $appointmentPrice->price=isset($price) ? $price : 0;
            $appointmentPrice->save();
        }

        return redirect()->route('admin.appointmentPrice')->with('success', 'Data updated successfully');
    }
}
