<?php
namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Storage; 
use Illuminate\Support\Facades\Hash;
use App\Helpers\Common\Functions;
use Intervention\Image\ImageManagerStatic as Image;
use Auth;
use Mail;
use Illuminate\Support\Facades\URL; 

class ImgController extends Controller
{   

    var $column_order = array(null,null, 'first_name','last_name','email','dob','mobile1','mobile2','address1','country','state','city','zipcode'); //set column field database for datatable orderable

    var $column_search = array('first_name','last_name','email','dob','mobile1','address1','country','state','city','zipcode'); //set column field database for datatable searchable

    var $order = array('user_id' => 'asc'); // default order

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
    	$functions = new Functions();  
        $imagePath=asset('assets/images/b.jpg');
        $img = Image::make($imagePath);
        print_r($img);
        exit;
        $width  = $img->width();
        $height = $img->height(); 

        $vertical   = (($width < $height) ? true : false);
        $horizontal = (($width > $height) ? true : false);
        $square     = (($width == $height) ? true : false);
        $vertical = true;

        if ($vertical) {

        	$new_height = 500;
        	$new_width = round(($new_height/$height)*$width);
        	
            //$top = $bottom = ( ( $req_height - $height ) / 2);
            //$newHeight = ($req_height) - ($bottom + $top);
            
            $img->resize($new_width, $new_height, function ($constraint) {
                $constraint->aspectRatio();
            });

        } else{

        	$new_height = round((500/$width)*$height);
        	$new_width = 500;
        	
            $img->resize($new_width, $new_height, function ($constraint) {
                $constraint->aspectRatio();
            });

        }

        $img->resizeCanvas($new_width, $new_height, 'center', false, '#ffffff');
         $extension = 'jpg'; // you can also use file name
	     $fileName = time().'.'.$extension;
	     $path = public_path().'/assets';
	     Storage::disk('public/assets')->put('abbb.jpg', $file_content);
	     //$img = $img->move($path,$fileName);
       // $img->resize(300, 300);
        
        return view('admin.img',compact('img'));
    }

   
}
