<?php

namespace App\Http\Controllers;

use App\Models\Coming;
use App\Models\ComingCrud;
use App\Models\Service;

class ComingPageController extends Controller
{
    public function index($alias = NULL)
    {
        $crud = ComingCrud::first();

        $top_content = '';
        $bottom_content = '';

        if ($crud != NULL) {
            $top_content = $crud->top_content;
            $bottom_content = $crud->bottom_content;
        }

        if ($alias == NULL) {
            $data = Coming::orderBy('rank')->where('active', 1)->paginate(9);

            return view('coming.index', compact('data', 'top_content', 'bottom_content'));
        } else {
            $data = Coming::where('alias', $alias)->where('active', 1)->first();

            return view('coming.detail', compact('data', 'top_content', 'bottom_content'));
        }
    }
}
