<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\DB; 
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage; 
class ScriptController extends Controller
{

    // public function moveChatOldToNew(Request $request){

    //     DB::table('chat_chats')->truncate();
    //     DB::table('chat_conversations')->truncate();
    //     DB::table('chat_messages')->truncate();

    //     $oldChats = DB::table('chats')
    //                     ->select('*')
	// 					->get();

    //     if( $oldChats->count() > 0 ) {
    //         $convId = 0;
    //         $msgId = 0;
    //         foreach($oldChats as $key=>$chat) {    
    //             $convertsationExist = DB::table('chat_conversations')
    //                                     ->select('*')
    //                                     ->whereRaw(DB::raw(" (user_from=".$chat->from_id." and user_to=".$chat->to_id.") OR (user_from=".$chat->to_id." and user_to=".$chat->from_id.") "))
    //                                     ->first();
    //             if(!$convertsationExist){
    //                 $convId = DB::table('chat_conversations')->insertGetId(['user_from' => $chat->from_id , 'user_to' => $chat->to_id,'created_at' => date('Y-m-d H:i:s')]);
    //             }else{
    //                 $convId= $convertsationExist->id;
    //             }
    //             $msgId = DB::table('chat_messages')->insertGetId(['msg' => $chat->msg , 'conversation_id' => $convId,'created_at' => $chat->sent_on]);

    //             DB::table('chat_chats')->insertGetId(['message_id' => $msgId , 'conversation_id' => $convId,'user_id' => $chat->from_id , 'type' => 0,'created_at' => $chat->sent_on,'read_at' => $chat->read_on]);
    //             DB::table('chat_chats')->insertGetId(['message_id' => $msgId , 'conversation_id' => $convId,'user_id' => $chat->to_id , 'type' => 1,'created_at' => $chat->sent_on,'read_at' => $chat->read_on]);
    //         }
    //     }

    //     DB::table('settings')->where('setting_id',1)->update(['migrated'=>1]);
    //     return response()->json(['status' => true]);
    //     echo "Done";
    // }

    public function updateLastPostLikes() {
        $result = DB::table('posts as p')
                        ->select(DB::raw('p.post_id,pl.user_id'))
                        ->join('post_likes as pl', function($join) { 
                            $join->on('pl.post_id', '=', 'p.post_id')
                            ->on('pl.like_on', '=', DB::raw("(SELECT max(like_on)
                            from post_likes WHERE post_likes.post_id = p.post_id)"));
                         })
						->get();
        $insert_data = array();
        if($result->count() > 0) {
            foreach($result as $data) {  
                $insert_data[] = ['post_id' => $data->post_id, 'user_id' => $data->user_id];  
            }
        }
        $insert_data = collect($insert_data);
        // dd($insert_data);
        $chunks = $insert_data->chunk(500);
        foreach ($chunks as $chunk) {
            DB::table('last_post_likes')->insert($chunk->toArray());
        }
        echo "Done";
        exit;
        
    }

    public function updateLastPostComments() {
        config()->set('database.connections.mysql.strict', false);
		DB::reconnect();
        $result = DB::table('posts as p')
                        ->select(DB::raw('pl.post_id,pl.user_id,pl.comment,pl.comment_id,pl.comment_on'))
                        ->join('post_comments as pl', function($join) { 
                            $join->on('pl.post_id', '=', 'p.post_id');
                         })
                         ->where('pl.parent_id',0)
                         ->groupBy('pl.post_id')
                         ->orderBy('pl.comment_on','desc')
						->get();
        
        $insert_data = array();
        if($result->count() > 0) {
            foreach($result as $data) {  
                $insert_data[] = ['post_id' => $data->post_id, 'user_id' => $data->user_id, 'comment' => $data->comment, 'comment_id' => $data->comment_id, 'comment_on' => $data->comment_on];  
            }
        }
        $insert_data = collect($insert_data);
        $chunks = $insert_data->chunk(500);
        foreach ($chunks as $chunk) {
            DB::table('last_post_comments')->insert($chunk->toArray());
        }
        config()->set('database.connections.mysql.strict', true);
		DB::reconnect();
		echo "Done";
        exit;
    }
}
