<?php

namespace App\Http\Controllers;

use App\Models\Faq;
use App\Models\PageFont;
use Yajra\DataTables\DataTables;

class FaqsController extends Controller
{
    public function index()
    {
        $faqs = Faq::orderBy('sort_order')->get();
        $title = 'FAQs | Angelic Bridal';
        $fonts = PageFont::where('page', 'faq')->first();

        return view('faqs', compact('faqs', 'title', 'fonts'));
    }
}
