<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class AppointmentServiceTimeSheet extends Model
{
    protected $table='appointment_service_time_sheet';
    use HasFactory;

    public function service(): BelongsTo
    {
        return $this->belongsTo(AppointmentService::class,'service_id');
    }
}
