<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ProductSize extends Model
{
    use HasFactory;

    public function normal_sizes(): BelongsTo
    {
        return $this->belongsTo(Size::class,'size_id')->where('is_plus',0);
    }

    public function plus_sizes(): BelongsTo
    {
        return $this->belongsTo(Size::class)->where('is_plus',0);
    }
}
