<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        if (!Schema::hasTable('blog_post_categories')) {
            Schema::create('blog_post_categories', function (Blueprint $table) {
                $table->id();
                $table->unsignedBigInteger('blogId')->constrained('blogs');
                $table->unsignedBigInteger('blogCategoryId')->constrained('blog_categories');
                $table->timestamps();
            });
        }
    }

    public function down(): void
    {
        Schema::dropIfExists('blog_post_categories');
    }
};
