<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('settings', function (Blueprint $table) {
            if (!Schema::hasColumn('settings', 'email')) {
                Schema::table('settings', function (Blueprint $table) {
                    $table->string('email')->nullable();
                });
            }
            if (!Schema::hasColumn('settings', 'location')) {
                Schema::table('settings', function (Blueprint $table) {
                    $table->string('location')->nullable();
                });
            }
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('settings', function (Blueprint $table) {
            //
        });
    }
};
