<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('appointment_service_time_sheet', function (Blueprint $table) {
            $table->id();
            $table->integer('service_id')->default(0)->index();
            $table->integer('day_id')->default(0)->index();
            $table->time('from_time')->nullable();
            $table->time('to_time')->nullable();
            $table->tinyInteger('active')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('appointment_service_time_sheet');
    }
};
