<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('comings', function (Blueprint $table) {
            $table->id();
            $table->string('title')->default('');
            $table->string('alias')->default('');
            $table->string('image')->default('');
            $table->text('description')->nullable();
            $table->tinyInteger('rank')->default(0);
            $table->boolean('active')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('comings');
    }
};
