<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        // User::factory(10)->create();

        $this->call([
            AdminSeeder::class,
            SettingsSeeder::class,
            HomepageSectionsSeeder::class,
            SizesTableSeeder::class,
            DaysSeeder::class,
            AppointmentSlotSeeder::class,
            DurationSeeder::class,
            PageFontsSeeder::class
        ]);
    }
}
