<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class HomepageSectionsSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        DB::table('homepage_sections')->insert([
            [
                'name' => 'cover',
            ],
            [
                'name' => 'welcome',
            ],
            [
                'name' => 'promo_page',
            ],
            [
                'name' => 'seasonal_highlights',
            ],
            [
                'name' => 'services',
            ],
            [
                'name' => 'outlet',
            ],
            [
                'name' => 'bookings',
            ],
            [
                'name' => 'testimonials',
            ],
            [
                'name' => 'social',
            ],
            [
                'name' => 'contact',
            ],
        ]);
    }
}
