<?php

namespace Database\Seeders;

use App\Models\Settings;
use Illuminate\Database\Seeder;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class SettingsSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        Settings::truncate();
        $settings = new Settings;
        $settings->page_404_image = '';
        $settings->page_404_content = '';
        $settings->size_chart = '';
        $settings->save();

    }
}
