@if(isset($record))
@php $id=$record->id @endphp
@else
@php $id=0 @endphp
@endif
<div class="card">
    <div class="card-header">
        <div class="row">
            <div class="col-6">
                <h5>{{ $title }}</h5>
            </div>
            <div class="col-6 text-end">
                <i class="variation_delete fa fa-times" data-id="{{$id}}"></i>
            </div>
        </div>

    </div>
    <div class="card-body pt-2">
        <div class="row">
            <div class="col-xl-4 col-lg-6 col-md-6 col-12">
                <div class="row">

                    <input type="hidden" class="form-control" name="variation_id[]" value="{{$id}}">
                    <div class="col-xl-6 col-lg-6 col-md-12 col-12">

                        @if(isset($record->image))
                        @php $image=$record->image @endphp
                        @php $imageUrl=asset(Storage::url('products/'.$record->product_id.'/'.$record->image)) @endphp
                        @elseif(old('image'))
                        @php $image=old('image'); @endphp
                        $imageUrl=""
                        @else
                        @php $image='';
                        $imageUrl="" @endphp
                        @endif

                        <input type="hidden" class="form-control old_image" id="old_image" name="old_image[]" value="{{$image}}">
                        <div class="upload__box text-center">
                            <div class="upload__img-wrap" style="height: 312px;">
                                <div class='upload__img-box'>
                                    <div style='background-image: url("{{$imageUrl}}");' data-number="{{$id}}" data-file='{{$image}}' class='img-bg'>
                                        <div class='upload__img-close' data-id="{{$id}}" data-type="I"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="upload__btn-box mt-3">
                                <label class="upload__btn">
                                    Upload Image file
                                    <input type="file" name="image[]" data-max_length="1" value="" class="form-control upload__inputfile" accept="image/jpeg, image/jpg, image/png, application/pdf">
                                </label>
                            </div>
                            (800*1067)
                        </div>
                    </div>
                    <div class="col-xl-6 col-lg-6 col-md-12 col-12">
                        @if(isset($record->video))
                        @php $video=$record->video @endphp
                        @php $videoUrl=asset(Storage::url('products/'.$record->product_id.'/'.$record->video)) @endphp
                        @elseif(old('video'))
                        @php $video=old('video'); @endphp
                        $videoUrl=""
                        @else
                        @php $video='';
                        $videoUrl="" @endphp
                        @endif
                        <input type="hidden" class="form-control old_video" id="old_video" name="old_video[]" value="{{$video}}">
                        <div class="upload__box">
                            <div class="upload__img-wrap" style="height: 312px;">
                                <div class='upload__img-box'>
                                    <video class="variation_video" controls>
                                        <source src="{{$videoUrl}}" class="video_here">
                                    </video>
                                </div>
                            </div>
                            <div class="upload__btn-box mt-3">
                                <label class="upload__btn">
                                    Upload Video file
                                    <input type="file" data-id="video_file" name="video[]" data-max_length="1" class="form-control upload__inputfile" accept="video/mp4, image/jpg, image/png, application/pdf">
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="col-12 mt-5 text-center">
                        @php $visible_type=0; @endphp
                        @if(isset($record->visible_type))
                        @if($record->visible_type=='V')
                        @php $visible_type=1 @endphp
                        @endif
                        @elseif(old('visible_type'))
                        @php $visible_type=old('visible_type'); @endphp
                        @else
                        @php $visible_type=0; @endphp
                        @endif
                        <label class="form-label">First Visible in Listing</label> &nbsp;
                        <input type="hidden" class="visible_active" name="visible_type[]" value="{{$visible_type}}">
                        <input type="checkbox" name="" class="visible_toggle" data-toggle="toggle" data-onlabel="Video" data-offlabel="Image" data-onstyle="warning" data-offstyle="primary" {!! ($visible_type==1) ? 'checked' : '' !!}>
                    </div>
                </div>
            </div>
            <div class="col-xl-8 col-lg-6 col-md-6 col-12">
                <div class="row">
                    <div class="col-md-4 col-sm-6 col-12 form-group">
                        @if(isset($record->color_id))
                        @php $color_id=$record->color_id @endphp
                        @elseif(old('color_id'))
                        @php $color_id=old('color_id'); @endphp
                        @else
                        @php $color_id=0; @endphp
                        @endif
                        <label class="form-label">Color</label>
                        <select class="form-control" name="color_id[]">
                            <option value="">-- Select --</option>
                            @foreach($colors as $color)
                            <option value="{{ $color->id }}" {!! ($color_id==$color->id) ? 'selected' : '' !!}>{{ $color->name }}</option>
                            @endforeach
                        </select>
                    </div>


                    <div class="col-md-4 col-sm-6 col-12 form-group">
                        @if(isset($record->price))
                        @php $price=$record->price @endphp
                        @elseif(old('price'))
                        @php $price=old('price'); @endphp
                        @else
                        @php $price=''; @endphp
                        @endif
                        <label class="form-label">Price</label>
                        <input name="price[]" type="text" class="form-control" placeholder="Price" value="{{ $price }}">
                    </div>

                    <div class="col-md-4 col-sm-6 col-12 form-group">
                        @if(isset($record->discounted_price))
                        @php $discounted_price=$record->discounted_price @endphp
                        @elseif(old('discounted_price'))
                        @php $discounted_price=old('discounted_price'); @endphp
                        @else
                        @php $discounted_price=''; @endphp
                        @endif
                        <label class="form-label">Discounted Price</label>
                        <input name="discounted_price[]" type="text" class="form-control" placeholder="Discounted Price" value="{{ $discounted_price }}">
                    </div>

                    <div class="col-md-12 col-sm-12 col-12 form-group">
                        @if(isset($record->description))
                        @php $description=$record->description @endphp
                        @elseif(old('description'))
                        @php $description=old('description'); @endphp
                        @else
                        @php $description=''; @endphp
                        @endif
                        <label class="form-label">Description </label>
                        <textarea name="description[]" class="form-control ckeditor" placeholder="Description">{!! $description !!}</textarea>
                    </div>

                    <div class="col-md-4 col-sm-6 col-12 form-group">
                        @if(isset($record->rank))
                        @php $rank=$record->rank @endphp
                        @elseif(old('rank'))
                        @php $rank=old('rank'); @endphp
                        @else
                        @php $rank=''; @endphp
                        @endif
                        <label class="form-label">Rank </label>
                        <input name="variation_rank[]" type="number" class="form-control" placeholder="Item Rank" value="{{ $rank }}">
                    </div>

                    <div class="col-md-4 col-sm-6 col-12" data-bs-toggle="tooltip">
                        @if(isset($record->active))
                        @php $active=$record->active @endphp
                        @elseif(old('active'))
                        @php $active=old('active'); @endphp
                        @else
                        @php $active=1; @endphp
                        @endif
                        <div class="form-check form-switch custom-switch-v1 mt-4 pt-3">
                            <label class="form-check-label">Active</label> &nbsp;
                            <input type="hidden" class="variation_active" name="variation_active[]" value="{{$active}}">
                            <input name="" class="active_check" type="checkbox" data-toggle="toggle" data-onlabel="Yes" data-offlabel="No" data-onstyle="primary" data-offstyle="danger" data-size="sm" value='1' {!! ($active==1) ? 'checked' : '' !!}>
                        </div>
                    </div>
                </div>
            </div>
            <!-- </div> -->
            <hr />
            <div class="row multipleImages">
                <div class="col-12 mb-4">
                    <b>List Images (800*1067):</b>
                    &nbsp; &nbsp;
                    <label class="upload__listbtn">
                        Upload Images
                        @php $list_images=''; @endphp
                        @if(isset($record))
                        @foreach($record->images as $key=>$image)
                        @php $list_images.=$image->image.','; @endphp
                        @endforeach
                        @php $list_images=trim($list_images,','); @endphp
                        @endif
                        <!-- <input type="hidden" name="old_list_images[]" class="old_list_images" value="{{ $list_images }}"/> -->
                        <input type="hidden" name="list_images[]" class="list_images" value="{{ $list_images }}" />
                        <input type="file" name="" data-max_length="1" value="" multiple class="form-control upload__listImages" accept="image/jpeg, image/jpg, image/png">
                    </label>
                    <!-- <input id="outputvalues" type="text" value="" /> -->
                </div>
                <div class="col-12">
                    <div class="imageListId">
                        @if(isset($record))
                        @foreach($record->images as $key=>$image)
                        @php $imageUrl=asset(Storage::url('products/'.$image->product_id.'/'.$image->image)) @endphp
                        <div data-id="imageNo{{$key+1}}" class="listitemClass">
                            <img src="{{ $imageUrl }}" alt="" data-image="{{$image->image}}" class="main-img">
                            <div class="upload__listimg-close" data-id="{{$image->id}}"></div>
                        </div>
                        @endforeach
                        @endif

                        <!--  <div id="imageNo6" class="listitemClass">
                            <img src="{{ asset('admin/images/widget/img-prod-2.jpg') }}" alt="">
                        </div> -->
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>