@extends('layouts.page')

@section('content')

    <section class="blog-main">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="my-5 text-center">
                        {!! $top_content !!}
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12 col-ld-12 col-xl-6">
                    <img class="img-fluid" src="{{ asset(Storage::url($data->image)) }}" alt="">
                </div>
                <div class="col-md-12 col-ld-12 col-xl-6">
                    <div class="blog-heading">
                        <h2 class="blog-detail-head">{{ $data->title }}</h2>
                    </div>
                    <div class="blog-main-content">
                        {!! $data->description !!}
                    </div>
                </div>

                <!--blog-list end-->
            </div>

            <div class="row">
                <div class="col-md-12">
                    <div class="mt-5 mb-2 text-center">
                        {!! $bottom_content !!}
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
