@extends('layouts.page')

@section('content')

    <section class="intenal-heading">
        <div class="container">
            <div class="col-12">
                <h2>Contact Us</h2>
                <a href="{{ route('homepage') }}">Home</a>> <span>Contact Us</span>
            </div>
        </div>
    </section>

    <section class="contact-info contact-page-main">
        <div class="container">
            <div class="row">
                <div class="col-xxl-4 col-xl-4 col-lg-4 col-md-12 col-sm-12 col-12">
                    <div class="contact-card">
                        <i class="fa fa-map-marker"></i>
                        <h4>{{ $settings->location }}</h4>
                    </div>
                </div>
                <div class="col-xxl-4 col-xl-4 col-lg-4 col-md-6 col-sm-12 col-12">
                    <div class="contact-card">
                        <i class="fa fa-envelope"></i>
                        <h4>
                            <a class="text-decoration-none text-dark" href="mailto:{{ $settings->email }}">{{ $settings->email }}</a>
                        </h4>
                    </div>
                </div>
                <div class="col-xxl-4 col-xl-4 col-lg-4 col-md-6 col-sm-12 col-12">
                    <div class="contact-card">
                        <i class="fa fa-phone"></i>
                        <h4>
                            <a class="text-decoration-none text-dark" href="tel:+{{ $settings->phone }}">{{ $settings->phone }}</a>
                        </h4>
                    </div>
                </div>
                <div class="col-xxl-12 col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 mt-4">
                    <iframe
                        src="{{ $settings->map }}"
                        width="100%" height="450" style="border:0;" allowfullscreen="" loading="lazy"
                        referrerpolicy="no-referrer-when-downgrade"></iframe>
                </div>
            </div>
        </div>
        </div>
    </section>
@endsection
