@php
    $section = get_cover_section();
@endphp

@if ($section)
    <section>
        <div class="container-fluid">
            <div class="row p-0">
                <div class="col-12 p-0">
                    <div class="slider-main-pic">
                        <div class="slider-text-main">
                            <div class="slider-text">
                                <h2 class="main-heading font-{{ $section->font1 }}">{{ $section->heading }}</h2>
                                <h3 class="font-{{ $section->font2 }}">{{ $section->sub_heading_1 }}</h3>
                                <div class="slider-book-b">
                                    <a href="{{ $section->button_url_1 }}" class="font-{{ $section->font3 }}">{{ $section->button_text_1 }}</a>
                                </div>
                            </div>
                        </div>
                        <div class="main-pic">
                            <video muted="" loop="" preload="auto" autoplay style="width: 100%; left: 0px; position: static;">
                                <source src="{{ asset(Storage::url($section->cover_video)) }}" type="video/mp4">
                            </video>
                        </div>
                        <div class="black-bg-slider"></div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endif
