@php
    $section = get_outlet_section();
@endphp

@if ($section)
    <section class="seasonal-highlights angelic-sister">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <h2 class="font-{{ $section->font1 }}">{{ $section->heading }}</h2>
                    <p class="font-{{ $section->font2 }}">{{ $section->sub_heading_1 }}</p>
                </div>
                <div class="col-12">
                    <div class="prod-slider">
                        <div class="row">
                            <div class="">
                                <div id="prod-slider2" class="owl-carousel  owl-theme">
                                    @if (count($section->products))
                                        @foreach ($section->products as $product)
                                            <div class="item prod-main">
                                                <div class="pic-bg">
                                                    <a href="{{ $product->url }}">
                                                        <img src="{{ $product->image }}">
                                                        <div class="prod-text-bg">
                                                            <h3 class="font-{{ $section->font4 }}">{{ $product->product_code }}</h3>
                                                            <p class="font-{{ $section->font5 }}">${{ $product->price }}</p>
                                                        </div>
                                                    </a>
                                                </div>
                                            </div>
                                        @endforeach
                                    @endif
                                </div>
                                <a class="more-store font-{{ $section->font3 }}" href="{{ $section->button_url_1 }}">{{ $section->button_text_1 }}</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

@endif
