@php
    $section = get_services_section();
@endphp

@if ($section)
    <section id="what-we-offer">
        <div class="container-fluid">
            <div class="row sec3-main">
                <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12 p-0">
                    <a href="{{ $section->image_url_1 }}">
                        <img class="img-fluid" src="{{ asset(Storage::url($section->image_1)) }}" alt="">
                    </a>
                </div>
                <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12 p-0">
                    <div class="sevices-main">
                        <h2 class="offer-heading font-{{ $section->font1 }}">{{ $section->heading }}</h2>
                        <p class="offer-p font-{{ $section->font2 }}">{{ $section->sub_heading_1 }}</p>
                        <ul>
                            @if (count($section->services))
                                @foreach ($section->services as $item)
                                    <li>
                                        <i class="fa fa-angle-double-right" aria-hidden="true"></i></i><a href="services/{{ $item->alias }}" class="font-{{ $section->font3 }}"> {{ $item->name }}</a>
                                    </li>
                                @endforeach
                            @endif
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endif
