<!-- mobile navbar start -->
<div class="container" id="bottom-top">
    <div class="mob-main d-xxl-none d-xl-none d-lg-none d-md-none d-sm-block d-block ">
        <div id="mySidenav" class="sidenav">
            <a class="close-icon" href="javascript:void(0)" class="closebtn " onclick="closeNav()">&times;</a>
            <a href="{{ route('homepage') }}">Home</a>
            <a href="{{ route('about') }}">About</a>
            <a href="{{ route('services') }}">What We Offer </a>
            @php $categories = getCategories(); @endphp
            @foreach($categories as $category)
                @php $subCategories=getCategories($category->id); @endphp
                <a href="javascript:void(0)" onclick="scrollToSection('bridal-gowns', 80)">{{ $category->name }}</a>
                <div class="mob-sublink">
                    <ul>
                        <li><a href="{{ route('productListing',$category->alias) }}"><i class="fa fa-angle-right"></i>View All</a></li>
                        @foreach($subCategories as $subCat)
                        <li><a href="{{ route('productListing',$subCat->alias) }}"><i class="fa fa-angle-right"></i> {{ $subCat->name }}</a></li>
                        @endforeach
                    </ul>
                </div>
            @endforeach
            <a href="{{ route('blog') }}">Blog </a>
            <a href="{{ route('faqs') }}">FAQs </a>
            <a href="{{ route('bookAppointment') }}">Book Appointment</a>
        </div>
        <div class="mob-menu-main">
            <div class="row ">
                <div class="col-sm-1 col-2 text-left">
                    <div class="mob-menu">
                        <span style="font-size:30px;cursor:pointer" onclick="openNav()"><i class="fa fa-bars" aria-hidden="true"></i></span>
                    </div>
                </div>
                <div class="col-sm-10 col-8 text-center">
                    <a href="{{ route('homepage') }}"><img class="img-fluid" src="{{ asset(Storage::url($settings->mobile_logo)) }}" alt=""></a>
                </div>
                <div class="col-sm-1 col-1 d-md-none d-sm-none d-none">
                    <div class="search-icon ">
                        <div class="search-box">
                            <button class="btn-search"> <img class="img-fluid" src="{{ asset('imgs/search-icon.jpg') }}" alt=""></button>
                            <input type="text" class="input-search" placeholder="Type to Search...">
                        </div>
                    </div>
                </div>
                <div class="col-sm-1 col-2 text-right">
                    <div class="mob-search-ra" tabindex="1">
                        <img class="img-fluid " src="{{ asset('imgs/search-icon.jpg') }}" alt="">
                    </div>
                    <div class="mob-search d-none">
                        <form action="{{ route('productListing','bridal-gowns')}}" method="get" class="mb-0">
                            @csrf
                            <span class="search-icon-demi"><img class="img-fluid " src="{{ asset('imgs/search-icon.jpg') }}" alt=""></span>
                            <input type="text" class="mob-search-text" name="search" placeholder="Type to Search...">
                            <span class="float-end close-search"><i class="fa fa-times"></i></span>
                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- mobile navbar end -->

<!-- navbar start -->
<section id="main-topbar" class="navbar-main topbar-main d-xxl-block d-xl-block d-lg-block d-md-block d-sm-none d-none mb-3">
    <div class="container">
        <div class="row">
            <div class="col-4 text-right rightnav-top">
                <div class="navlink-top">
                    <a href="{{ route('about') }}">About</a>
                    <a href="{{ route('services') }}">What We Offer </a>
                    @php $categories = getCategories(); @endphp

                    @foreach($categories as $category)
                        @php $subCategories=getCategories($category->id); @endphp
                        <button class="btn btn-secondary collection-button dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">{{ $category->name }}</button>
                        <ul class="dropdown-menu collection-sub-links">
                        <li><a class="dropdown-item" href="{{ route('productListing',$category->alias) }}">View All</a></li>
                            @foreach($subCategories as $subCat)
                            <li><a class="dropdown-item" href="{{ route('productListing',$subCat->alias) }}">{{$subCat->name}} </a></li>
                            @endforeach
                        </ul>
                    @endforeach
                </div>
            </div>
            <div class="col-4 text-center">
                <a href="{{ route('homepage') }}">
                    <img class="img-fluid" src="{{ asset(Storage::url($settings->logo)) }}" alt="">
                </a>
            </div>
            <div class="col-4 rightnav-top">
                <div class="navlink-top">
                    <a href="{{ route('blog') }}">Blog</a>
                    <a href="{{ route('faqs') }}">FAQs</a>
                    <a href="{{ route('bookAppointment') }}">Book Appointment</a>
                </div>
                <div class="search-icon">
                    <div class="search-box">
                        <form action="{{ route('productListing','bridal-gowns')}}" method="get">
                            @csrf
                            <button type="button" class="btn-search"> <img src="{{ asset('imgs/search-icon.jpg') }}" alt=""></button>
                            <input type="text" name="search" class="input-search" placeholder="Type to Search...">
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- navbar end -->
