<div class="row">
    <!-- four:ser-img
      three: ser-img33
      two: ser-img50
      -->
    @foreach($products as $product)
    @php
    $product_id=$product->product_id;
    $product_image=$product->image;
    $product_variation_first_image=isset($product->images[0]) ? $product->images[0]->image : '';
    $category_name=$category->name;
    $product_code=$product->product->product_code;
    $product_price=$product->price;
    @endphp

    @php $class='col-3'; @endphp
    @isset($grid_type)
    @if($grid_type=='four')
    @php $class='col-3'; @endphp
    @elseif($grid_type=='three')
    @php $class='col-4'; @endphp
    @elseif($grid_type=='two')
    @php $class='col-6'; @endphp
    @endif
    @endisset
    <div class="{{$class}}">
        <a href="{!! route('productDetail',['category'=>$category->alias,'product_code'=>$product_code,'variation_id'=>$product->id]) !!}">
            @if($product->visible_type == 'I')
            <img class="img-fluid product-img" src="{!! asset(Storage::url('public/products/'.$product_id.'/'.$product_image)) !!}" alt="{{ $category_name.' '.$product_code }}">
            @else
            <video class="img-fluid product-img" title="{{$product_code}}" playsinline="" autoplay="autoplay" muted="" loop="" width="100%">
                <source src="{!! asset(Storage::url('public/products/'.$product_id.'/'.$product->video)) !!}" type="video/mp4">
            </video>
            @endif
            <h5 class="img-title">{!! $product_code !!}</h5>
        </a>
    </div>
    @endforeach
</div>

<div class="d-flex justify-content-center">
    {!! $products->links() !!}
</div>
