<?php

namespace App\Http\Controllers\API;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Storage; 
use Illuminate\Support\Facades\Hash;
use App\Helpers\Common\Functions;

use Auth;
use Mail;
use Illuminate\Support\Facades\URL; 

class AdsController extends Controller
{
    private function _error_string($errArray)
    {
        $error_string = '';
        foreach ($errArray as $key) {
            $error_string.= $key."\n";
        }
        return $error_string;
    }    

    
    public function index(Request $request){
     
        	$terms = '<div class="about-content privacy"><h2>Terms &amp; <span>Conditions</span></h2><p>Films Dream is a public Mobile App with free access to all which is owned &amp; operated by FILMS DREAM.</p><p>FILMS DREAM assumes no liability for the quality &amp; genuineness of response(s).</p><p>FILMS DREAM cannot monitor/check all the responses that a User/Subscriber/Visitor may receive in response to information he/she has displayed on the mobile app.</p><p>The individual/company would have to conduct its own background checks on the bonafide nature of all response(s). FILMS DREAM will not be liable / responsible on account of any inaccuracy of information on this mobile app.</p><p>It is the responsibility of the visitor to further research the information on the mobile app. Any breach of privacy or of the information provided by the consumer to FILMS DREAM to be placed on the mobile app by technical or any other means is not the responsibility of FILMS DREAM.</p><p>FILMS DREAM does not guarantee confidentiality of information provided to it by any person using/acquiring all/any information displayed on the FILMS DREAM mobile app.</p><p>FILMS DREAM does not share personally identifiable data of any individual with other companies/entities except with those acting as our agents in providing our Service to you or by recruiters/film makers who contact you through the details provided by you. FILMS DREAM shall share all such information that it has in its possession in response to legal process, such as a court order or subpoena.</p><p>The user undertakes to use FILMS DREAM for his/her own purposes. Using content from FILMS DREAM for derivative works with a commercial motive without prior written consent from FILMS DREAM is strictly prohibited.</p><p>The user shall not utilize the services offered by FILMS DREAM in any manner so as to impair the interests and functioning of FILMS DREAM.</p><p>The user undertakes not to duplicate, download publish, modify and distribute material on FILMS DREAM unless specifically authorized by FILMS DREAM in this regard. The user undertakes not to establish any deep link or other connection to any specific page of FILMS DREAM other than the Home Page without obtaining prior consent of FILMS DREAM.</p><p>FILMS DREAM uses technological means to exclude Robots etc from crawling the website and scraping content. The user undertakes not to circumvent these methods.</p><p>Users undertake that the services offered by FILMS DREAM shall not be utilized to upload, post, email, transmit or otherwise make available either directly or indirectly, any unsolicited bulk e-mail or unsolicited commercial e-mail.</p><p>FILMS DREAM reserves the right to filter and monitor and block the emails sent by you/user using the servers maintained by FILMS DREAM to relay emails. All attempts shall be made by FILMS DREAM and the user to abide by International Best Practices in containing and eliminating Spam.</p><p>Users shall not spam the database maintained by FILMS DREAM or indiscriminately and repeatedly forward mail that may be considered spam etc. Any conduct of the user in violation of this clause shall entitle FILMS DREAM to forthwith terminate all services to the user without notice and to forfeit any amounts paid by him.</p><p>The user shall not upload, post, transmit, publish, or distribute any material or information that is unlawful, or which may potentially be perceived as being harmful, threatening, abusive, harassing, defamatory, libelous, vulgar, obscene, or racially, ethnically, or otherwise objectionable.</p><p>The user expressly states that the profile/insertion or information/data being fed into the network of FILMS DREAM by the user is correct and complete in all respects and does not contain any false, distorted, manipulated, fraudulent or misleading facts or averments.</p><p>FILMS DREAM expressly disclaims any liability arising out of the said profile insertion/information/data so fed into the network of FILMS DREAM by the user.</p><p>Further, the user agrees to indemnify FILMS DREAM for all losses incurred by FILMS DREAM due to any false, distorted, manipulated, defamatory, libelous, vulgar, obscene, fraudulent or misleading facts or otherwise objectionable averments made by the user on the network of FILMS DREAM.</p><p>The User is solely responsible for maintaining confidentiality of the User password and user identification and all activities and transmission performed by the User through his user identification and shall be solely responsible for carrying out any online or off-line transaction involving credit cards/debit cards or such other forms of instruments or documents for making such transactions and FILMS DREAM assumes no responsibility or liability for their improper use of information relating to such usage of credit cards/debit cards used by the subscriber online/off-line.</p><p>The User/Subscriber/Visitor to FILMS DREAM does hereby specifically agrees that he shall, at all times, comply with the requirements of the Information Technology Act, 2000 as also rules, guidelines, bye laws, regulations and notifications made thereunder, while assessing or feeding any profile/insertion or information/data into the computers, computer systems or computer network of FILMS DREAM.</p><p>The said User/subscriber/visitor to FILMS DREAM does further unequivocally declare that in case he violates any provisions of the Information Technology Act, 2000 and/or rules, regulations, guidelines, byelaws and notifications made thereunder, he shall alone be responsible for all his acts, deeds and things and that he alone shall be liable for civil and criminal liability there under or under any other law for the time being in force.</p><p>The User hereby expressly declares that FILMS DREAM has performed all due diligence within the meaning of the IT Act, 2000 with respect to the user and his interaction with the computers, computer systems or computer network of FILMS DREAM.</p><p>The User is solely responsible for obtaining, at his own cost, all licenses, permits, consents, approvals and intellectual property or other rights as may be required for using the Service.</p><p>The User/subscriber/visitor to FILMS DREAM is prohibited from introducing/posting or transmitting information or software, which contains a computer virus, or a contaminant, worm or other harmful components on the internet or on FILMS DREAM site or sub-domains or on any affiliate sites or any other network system.</p><p>The user shall not infringe on any intellectual property rights of any person / entity or retain information / download any information from any computer system or otherwise with an intention to do so.</p><p>FILMS DREAM will make best efforts to do so but does not warrant that any of the mobile app or any affiliate site(s) or network system linked to it is free of any operational errors nor does it warrant that it will be free of any virus, computer contaminant, worm, or other harmful components.</p><p>FILMS DREAM shall not be liable for any loss or damage sustained by reason of any disclosure (inadvertent or otherwise) of any information concerning the user\'s account and / or information relating to or regarding online transactions using credit cards / debit cards and / or their verification process and particulars nor for any error, omission or inaccuracy with respect to any information so disclosed and used whether or not in pursuance of a legal process or otherwise.</p><p>FILMS DREAM gives no guarantees of server uptime or applications working properly. All is on a best effort basis and liability is limited to refund of amount only.</p><p>FILMS DREAM undertakes no liability for free services.</p><p>FILMS DREAM reserves its right to amend / alter or change all or any disclaimers or terms of agreements at any time without any prior notice. All terms / disclaimers whether specifically mentioned or not shall be deemed to be included if any reference is made to them.</p><p>FILMS DREAM further reserves its right to post the data on the mobile app FILMS DREAM or on such other affiliated sites and publications as FILMS DREAM may deem fit and proper at no extra cost to the subscriber / user.</p><p>The subscription / agreement between FILMS DREAM and the subscriber / user is not a " non-poach agreement " nor can the same be termed or used as an alternative to " non-poach agreement " in as much as FILMS DREAM / FILMS DREAM is a public mobile app and all information posted by FILMS DREAM goes to the public domain except information / data which is specifically assigned a non-public / private character.</p><p>Any agreement for a subscription / usage entered into by FILMS DREAM does not confer exclusivity of service on any subscriber / user.</p><p>FILMS DREAM will not be party to any legal proceedings between a user (e.g. a subscriber) and a party contracted through the mobile appl. In case FILMS DREAM is implicated in any legal proceedings, costs will be recovered from the party that names FILMS DREAM. FILMS DREAM however will abide with any court order served on it through due process.</p><p>In case a person using the world wide web/internet receives a spam or virus which includes a link to FILMS DREAM or to any other site maintained, operated or owned by FILMS Dream, it should not be held responsible for the same. FILMS DREAM assumes no responsibility for such mails.</p><p>The services provided by the mobile app maintained, operated or owned by FILMS DREAM do not extend to acting as an agent (express or implied) on behalf of any subscriber or user.</p><p>FILMS DREAM has no agents and does not operate through any agents save for those specifically mentioned on the home screen of the mobile app.</p><p>The Terms and conditions mentioned above regulate the usage of FILMS DREAM</p><p>Any person using FILMS DREAM in violation of the stipulations contained in the Terms and Conditions of FILMS DREAM shall render himself/herself liable to appropriate action in a court of law both civil and criminal.</p><p>FILMS DREAM are used interchangeably and are synonymous.</p></div>';
     
        $ad_info = DB::table("ad_settings")->select(DB::raw("*"))->first();
        
        $setting = DB::table('settings')->first();
        
        $url=asset(Storage::url("banners"));
        // $banners=DB::table("popup_banners")
        //         ->select(DB::raw("*,concat('".$url."','/',image) as image"))->where('active',1)
        //         ->where('end_date', '>', date('Y-m-d 00:00:00'))
        //         ->get();
        // $fetchRecord = false;
        // $setting = DB::table('settings')->first();

        // if (isset($request->is_android)) {
        //     $app_version = $request->app_version;
        //     if ($request->is_android == 1) {
        //         if ($app_version >= $setting->android_version) {
        //             $fetchRecord = true;
        //         }
        //     } else {
        //         if ($app_version >= $setting->ios_version) {
        //             $fetchRecord = true;
        //         }
        //     }
        // }

        // if ($fetchRecord) {
            $banners = DB::table("popup_banners")
                ->select(DB::raw("*,concat('" . $url . "','/',image) as image"))
                ->where('active', 1)
                ->where('end_date', '>', date('Y-m-d 00:00:00'))
                ->get();
        // } else {
        //     $banners = DB::table("popup_banners")
        //         ->select(DB::raw("*,concat('" . $url . "','/',image) as image,'banner' as type_name"))
        //         ->where('active', 1)
        //         ->where('end_date', '>', date('Y-m-d 00:00:00'))
        //         ->get();
        // }


        if($ad_info){
            $data=array("ad_setting_id"=>$ad_info->ad_setting_id,
                        "android_app_id" => $ad_info->android_app_id,
                        "android_banner_app_id" => !empty($ad_info->disable_banner) ? $ad_info->android_banner_app_id : '',
                        "android_interstitial_app_id"     => !empty($ad_info->disable_inter) ? $ad_info->android_interstitial_app_id : '',
                        "android_video_app_id" => !empty($ad_info->disable_rewarded) ? $ad_info->android_video_app_id : '',
                        "is_banner" =>  !empty($ad_info->disable_banner) ? $ad_info->is_banner : '',
                        "is_interstitial" => !empty($ad_info->disable_inter) ? $ad_info->is_interstitial : '',
                        "is_video"=> !empty($ad_info->disable_rewarded) ? $ad_info->is_video : '',
                        "banner_show_on" =>  !empty($ad_info->disable_banner) ? $ad_info->banner_show_on : '',
                        "interstitial_show_on" => !empty($ad_info->disable_inter) ? $ad_info->interstitial_show_on : '',
                        "video_show_on" => !empty($ad_info->disable_rewarded) ? $ad_info->video_show_on : '',
                        "ios_app_id" => $ad_info->ios_app_id,
                        "ios_banner_app_id" =>  !empty($ad_info->disable_banner) ? $ad_info->ios_banner_app_id : '',
                        "ios_interstitial_app_id" => !empty($ad_info->disable_inter) ? $ad_info->ios_interstitial_app_id : '',
                        "ios_video_app_id" => !empty($ad_info->disable_rewarded) ? $ad_info->ios_video_app_id : '',
                        "status" => 'success' ,
                        "terms" => $terms,
                        "enable_live_stream" => $setting->enable_live_stream,
                        "enable_gifts" => $setting->enable_gifts,
                        "enable_challenges" => $setting->enable_challenges,
                        "minimum_withdraw_coins" => $setting->minimum_withdraw_coins
                );
        }else{
            $data=array("status"=>'error');
        }
        $data['banners'] = $banners;
        $response = $data;
        return response()->json($response); 
    }
    
        public function top_ad(Request $request){
        
        // $validator = Validator::make($request->all(), [ 
        //     'user_id'          => 'required',                     
        // ],[ 
        //     'user_id.required'   => 'Id is required',
        // ]);

        // if (!$validator->passes()) {
        //     return response()->json(['status'=>'error','msg'=> $this->_error_string($validator->errors()->all()) ]);
        // }else{
			$functions = new Functions();
            $login_id=0;
            if(auth()->user()){
			    $login_id=auth()->user()->id;
            }
            if($login_id>0){
                $user = DB::table("users")
                            ->select(DB::raw('*'))
                            ->where("user_id",$login_id)
                            ->first();
                $country = $user->country;
                $state = $user->state;
                if(strtolower($country)=="usa"){
                    $country = "United States";
                }
                }else{
                        $country = "United States";
                        $state = '';
                }                           
	        $res = DB::table("top_ads")
				        ->select(DB::raw('*'))
				        ->where("active",1)
				        ->whereRaw(DB::raw(" (countries like '%".$country."%' or countries like '%All Countries%') "))
				        ->whereRaw(DB::raw(" (states like '%".$state."%' or IFNULL(states,'')='')"))
				        ->whereRaw(DB::raw("active=1 and '".date("Y-m-d")."' between start_date and expiry_date"))
						->orderBy(DB::raw("rand()"))
				        ->first();
			
			if($res){
				
				$p=Storage::url("banners/".$res->banner);

					$views = $res->views + 1;
					$up_data = array("views"=>$views);
					
                    DB::table('top_ads')
                    ->where('ad_id',$res->ad_id)     
                    ->update($up_data);
				
                $data = array('title'=>$res->title,'link'=>$res->link,'banner' => $p);
                $response = array("status" => "success",'msg'=>'Top Ad View' ,'content' => $data);
            }else{
			 	$response = array("status" => "warning",'msg'=>'No Ad Available');
			}
			return response()->json($response); 
        // }  
        
    }
}   