<?php

namespace App\Http\Controllers\API;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Storage; 
use Illuminate\Support\Facades\Hash;
use App\Helpers\Common\Functions;

use Auth;
use Mail;
use Illuminate\Support\Facades\URL; 

class LanguageController extends Controller
{
    private function _error_string($errArray)
    {
        $error_string = '';
        foreach ($errArray as $key) {
            $error_string.= $key."\n";
        }
        return $error_string;
    }    

    public function language_list(Request $request){
        $res=   DB::table('languages')
         ->select(DB::raw('id,lang'));
         if(isset($request->keyword) && $request->keyword!=""){
            $res=$res->where('lang', 'like', '%'.$request->keyword.'%');
         }
        $res=$res->orderBy('lang','ASC')
        ->get();
        $data=array();
        foreach($res as $r){
            $s = array('id'=>$r->id,'lang'=>$r->lang);
            array_push($data,$s);
        }
       $response = array("status" => true,'msg'=>'Language listed successfully' ,'data' => $data);
        return response()->json($response); 
    }
    
//     public function getCategory(Request $request){
    
//         $res=   DB::table('categories')
//          ->select(DB::raw('category'))
//          ->where('cat_id',$request->cat_id)
//         ->first();

   
//   $response = array("status" => "success",'msg'=>'category selected successfully' ,'cat_name'=>$res->category);

// return response()->json($response); 

// }

}   