<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class AppController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //$this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function download()
    {
		if($this->isIphone()) 
		{
		    header('Location: https://apple.co/2utybJR');
		    exit();
		}

		else if($this->isAndroid()) 
		{
		    header('Location: http://bit.ly/2PnYcBl');
		    exit();
		}
		else 
		{
		    echo "App Operating System is not Compatible with your Device.";
		}
    }
	public function UserAgentRegCheck($regText)
	{
	    $useragent = $_SERVER['HTTP_USER_AGENT'];
	    return preg_match('@('.$regText.')@', $useragent);
	}

	public function isIphone() {
	    return $this->UserAgentRegCheck('iPad|iPod|iPhone');
	}

	public function isAndroid() {
	    return $this->UserAgentRegCheck('Android');
	}

	public function isMobile(){
	    return $this->UserAgentRegCheck('iPad|iPod|iPhone|Android|BlackBerry|SymbianOS|SCH-M\d+|Opera Mini|Windows CE|Nokia|SonyEricsson|webOS|PalmOS');
	}    
}
