<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        return view('home');
    }
    
    public function uploadFile(Request $request)
    {
        if ($request->hasFile('upload')) {
            $imagePath = 'public/ckeditor';
            $file = $request->file('upload');
            $image = $file->getClientOriginalName();
            $image = time() . '_' . str_ireplace(" ", "", $image); // Add current time before image name
            $file->storeAs($imagePath, $image);

            $CKEditorFuncNum = $request->input('CKEditorFuncNum');
            $url = asset(Storage::url('ckeditor/' . $image));
            $msg = 'Image uploaded successfully';
            $response = "<script>window.parent.CKEDITOR.tools.callFunction($CKEditorFuncNum, '$url', '$msg')</script>";

            @header('Content-type: text/html; charset=utf-8');
            echo $response;
        }
    }
}
