<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\Relations\HasOne;

class Day extends Model
{
    use HasFactory;

    public function appointment_day_price(): HasOne
    {
        return $this->hasOne(AppointmentDayPrice::class,'day_id');
    }

    public function timesheet() : HasMany {
        return $this->hasMany(AppointmentServiceTimeSheet::class,'day_id');
    }
}
