<?php

namespace Database\Seeders;

use App\Models\AppointmentSlot;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class AppointmentSlotSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        AppointmentSlot::truncate();
        $slot = new AppointmentSlot();
        $slot->name = 'Slot 1';
        $slot->from_time = "10:00:00";
        $slot->to_time = "11:00:00";
        $slot->save();

        $slot = new AppointmentSlot();
        $slot->name = 'Slot 2';
        $slot->from_time = "11:30:00";
        $slot->to_time = "12:30:00";
        $slot->save();

        $slot = new AppointmentSlot();
        $slot->name = 'Slot 3';
        $slot->from_time = "13:00:00";
        $slot->to_time = "14:00:00";
        $slot->save();

        $slot = new AppointmentSlot();
        $slot->name = 'Slot 4';
        $slot->from_time = "14:30:00";
        $slot->to_time = "15:30:00";
        $slot->save();
    }
}
