    <!-- [ Sidebar Menu ] start -->
    <nav class="pc-sidebar">
        <div class="navbar-wrapper">
            <div class="m-header">
                <a href="../dashboard/index.html" class="b-brand text-primary">
                    <img src="{{ logo() }}" class="img-fluid logo-lg" alt="logo">
                </a>
            </div>
            <div class="navbar-content">
                <div class="card pc-user-card">
                    <div class="card-body">
                        <div class="d-flex align-items-center">
                            {{-- <div class="flex-shrink-0">
                                <img src="{{ asset('admin/images/user/avatar-1.jpg') }}" alt="user-image" class="user-avtar wid-45 rounded-circle" />
                            </div> --}}
                            <div class="flex-grow-1 ms-1 me-2">
                                <h6 class="mb-0">{{ auth()->guard('admin')->user()->name  }}</h6>
                                <small>Administrator</small>
                            </div>
                            <a class="btn btn-icon btn-link-secondary avtar" data-bs-toggle="collapse" href="#pc_sidebar_userlink">
                                <svg class="pc-icon">
                                    <use xlink:href="#custom-sort-outline"></use>
                                </svg>
                            </a>
                        </div>
                        <div class="collapse pc-user-links" id="pc_sidebar_userlink">
                            <div class="pt-3">
                                <a href="{{ route('admin.logout') }}">
                                    <i class="ti ti-power"></i>
                                    <span>Logout</span>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>

                <ul class="pc-navbar">
                    <li class="pc-item pc-caption">
                        <label>Navigation</label>
                    </li>

                    <li class="pc-item">
                        <a href="{{ route('admin.dashboard') }}" class="pc-link">
                            <img src="{{ asset('admin/images/icons/dashboard.png') }}" alt="" class="img-fluid sidebar-icon">
                            <span class="pc-mtext">Dashboard</span>
                        </a>
                    </li>

                    <li class="pc-item">
                        <a href="{{ route('admin.homepage-sections') }}" class="pc-link">
                            <img src="{{ asset('admin/images/icons/layout.png') }}" alt="" class="img-fluid sidebar-icon">
                            <span class="pc-mtext">Homepage Sections</span>
                        </a>
                    </li>

                    <li class="pc-item">
                        <a href="{{ route('admin.fonts') }}" class="pc-link">
                            <img src="{{ asset('admin/images/icons/font.png') }}" alt="" class="img-fluid sidebar-icon">
                            <span class="pc-mtext">Fonts</span>
                        </a>
                    </li>

                    <li class="pc-item">
                        <a href="{{ route('admin.sliders') }}" class="pc-link">
                            <img src="{{ asset('admin/images/icons/carousel.png') }}" alt="" class="img-fluid sidebar-icon">
                            <span class="pc-mtext">Slider</span>
                        </a>
                    </li>

                    <!-- <li class="pc-item">
                        <a href="{{ route('admin.categories') }}" class="pc-link">
                            <img src="{{ asset('admin/images/icons/categories.png') }}" alt="" class="img-fluid sidebar-icon">
                            <span class="pc-mtext">Categories</span>
                        </a>
                    </li> -->

                    <li class="pc-item pc-hasmenu">
                        <a href="#!" class="pc-link">
                            <img src="{{ asset('admin/images/icons/folder.png') }}" alt="" class="img-fluid sidebar-icon">
                            <span class="pc-mtext">Content</span>
                            <span class="pc-arrow">
                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                    viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                                    stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevron-right">
                                    <polyline points="9 18 15 12 9 6"></polyline>
                                </svg>
                            </span>
                        </a>
                        <ul class="pc-submenu" style="display: block; box-sizing: border-box;">
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.colors') }}">Colors</a></li>
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.necklines') }}">Necklines</a></li>
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.seasons') }}">Seasons</a></li>
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.silhouettes') }}">Silhouettes</a></li>
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.faqs') }}">FAQs</a></li>
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.models') }}">Models</a></li>
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.fabrics') }}">Fabric</a></li>
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.cities') }}">Cities</a></li>
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.states') }}">States</a></li>
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.countries') }}">Countries</a></li>
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.brands') }}">Designers</a></li>
                        </ul>
                    </li>

                    <li class="pc-item pc-hasmenu">
                        <a href="#!" class="pc-link">
                            <img src="{{ asset('admin/images/icons/folder.png') }}" alt="" class="img-fluid sidebar-icon">
                            <span class="pc-mtext">Product Management</span>
                            <span class="pc-arrow">
                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                    viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                                    stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevron-right">
                                    <polyline points="9 18 15 12 9 6"></polyline>
                                </svg>
                            </span>
                        </a>
                        <ul class="pc-submenu" style="display: block; box-sizing: border-box;">
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.categories') }}">Categories</a></li>
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.products') }}">Products</a></li>

                        </ul>
                    </li>
                    <li class="pc-item pc-hasmenu">
                        <a href="#!" class="pc-link">
                            <img src="{{ asset('admin/images/icons/employee.png') }}" alt="" class="img-fluid sidebar-icon">
                            <span class="pc-mtext">User Management</span>
                            <span class="pc-arrow">
                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                    viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                                    stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevron-right">
                                    <polyline points="9 18 15 12 9 6"></polyline>
                                </svg>
                            </span>
                        </a>
                        <ul class="pc-submenu" style="display: block; box-sizing: border-box;">
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.staff') }}">Staff</a></li>
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.customers') }}">Customers</a></li>
                        </ul>
                    </li>


                    <li class="pc-item pc-hasmenu">
                        <a href="#!" class="pc-link">
                            <img src="{{ asset('admin/images/icons/appointment.png') }}" alt="" class="img-fluid sidebar-icon">
                            <span class="pc-mtext">Manage Appointments</span>
                            <span class="pc-arrow">
                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                    viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                                    stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevron-right">
                                    <polyline points="9 18 15 12 9 6"></polyline>
                                </svg>
                            </span>
                        </a>
                        <ul class="pc-submenu" style="display: block; box-sizing: border-box;">

                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.appointment-dashboard') }}">Dashboard</a></li>
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.appointment.categories') }}">Categories</a></li>
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.appointment.services') }}">Services</a></li>
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.appointments') }}">Appointments</a></li>
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.appointment-calendar') }}">Calendar</a></li>

                        </ul>
                    </li>

                    <li class="pc-item">
                        <a href="{{ route('admin.comingsoon') }}" class="pc-link">
                            <img src="{{ asset('admin/images/icons/coming.png') }}" alt="" class="img-fluid sidebar-icon">
                            <span class="pc-mtext">Coming Soon</span>
                        </a>
                    </li>
                    <li class="pc-item">
                        <a href="{{ route('admin.services') }}" class="pc-link">
                            <img src="{{ asset('admin/images/icons/blank-page.png') }}" alt="" class="img-fluid sidebar-icon">
                            <span class="pc-mtext">Services</span>
                        </a>
                    </li>
                    <li class="pc-item">
                        <a href="{{ route('admin.payments') }}" class="pc-link">
                            <img src="{{ asset('admin/images/icons/payment.png') }}" alt="" class="img-fluid sidebar-icon">
                            <span class="pc-mtext">Payments</span>
                        </a>
                    </li>
                    <li class="pc-item">
                        <a href="{{ route('admin.reports') }}" class="pc-link">
                            <img src="{{ asset('admin/images/icons/report.png') }}" alt="" class="img-fluid sidebar-icon">
                            <span class="pc-mtext">Reports</span>
                        </a>
                    </li>

                    <li class="pc-item pc-hasmenu">
                        <a href="#!" class="pc-link">
                            <img src="{{ asset('admin/images/icons/blog.png') }}" alt="" class="img-fluid sidebar-icon">
                            <span class="pc-mtext">Blog</span>
                            <span class="pc-arrow"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                    viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                                    stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevron-right">
                                    <polyline points="9 18 15 12 9 6"></polyline>
                            </svg></span>
                        </a>
                        <ul class="pc-submenu" style="display: block; box-sizing: border-box;">
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.blog') }}">Posts</a></li>
                            <li class="pc-item"><a class="pc-link" href="{{ route('admin.blog-categories') }}">Categories</a></li>
                        </ul>
                    </li>

                    <li class="pc-item">
                        <a href="{{ route('admin.pages') }}" class="pc-link">
                            <img src="{{ asset('admin/images/icons/blank-page.png') }}" alt="" class="img-fluid sidebar-icon">
                            <span class="pc-mtext">Pages</span>
                        </a>
                    </li>

                    <li class="pc-item">
                        <a href="{{ route('admin.testimonials') }}" class="pc-link">
                            <img src="{{ asset('admin/images/icons/testimonial.png') }}" alt="" class="img-fluid sidebar-icon">
                            <span class="pc-mtext">Testimonials</span>
                        </a>
                    </li>

                    <li class="pc-item">
                        <a href="{{ route('admin.settings') }}" class="pc-link">
                            <img src="{{ asset('admin/images/icons/settings.png') }}" alt="" class="img-fluid sidebar-icon">
                            <span class="pc-mtext">Settings</span>
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <!-- [ Sidebar Menu ] end --> <!-- [ Header Topbar ] start -->
