@php
    $section = get_contact_section();
    $settings = get_settings();
@endphp

@if ($section)
    <section class="newletter-main ">
        <div class="container">
            <div class="row">
                <div class="col-xxl-5 col-xl-4 col-lg-4 col-md-4 col-sm-12 col-12 text-center">
                    <div class="newletter-logo">
                        <img class="img-fluid" src="{{ asset(Storage::url($section->logo)) }}" alt="">
                    </div>
                    <div class="bottom-b">
                        <a href="{{ $section->button_url_1 }}" class="font-{{ $section->font1 }}">{{ $section->button_text_1 }}</a>
                    </div>
                </div>
                <div class="col-xxl-3 col-xl-4 col-lg-4 col-md-4 col-sm-12 col-12">
                    <div class="quick-links">
                        <h3 class="font-{{ $section->font2 }}">Quick Links</h3>
                        <ul class="font-{{ $section->font3 }}">
                            <li>
                                <a href="{{ route('homepage') }}">Home</a>
                            </li>
                            <li>
                                <a href="{{ route('services') }}">What We Offer </a>
                            </li>
                            <li>
                                <a href="{{ route('productListing','bridal-gowns') }}">Bridal Gowns</a>
                            </li>
                            <li>
                                <a href="{{ route('bookAppointment') }}">Book Appointment</a>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-xxl-4 col-xl-4 col-lg-4 col-md-4 col-sm-12 col-12 ">
                    <div class="quick-links contact">
                        <h3 class="font-{{ $section->font2 }}">Contact Info</h3>
                        <p class="font-{{ $section->font3 }}">
                            <i class="fa fa-map-marker"></i> {{ $settings->location }}
                        </p>
                        <p class="font-{{ $section->font3 }}">
                            <i class="fa fa-envelope mail-icon"></i> {{ $settings->email }}
                        </p>
                        <p class="phone-icon font-{{ $section->font3 }}">
                            <i class="fa fa-phone"></i> {{ $settings->phone }}
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endif
