@php
    $section = get_promo_page_section();
@endphp

@if ($section)
    <section>
        <div class="container-fluid">
            <div class="comingsoon-main">
                <div class="comingsoon-heading">
                    <h3 class="font-{{ $section->font1 }}">{{ $section->heading }}</h3>
                    <h4 class="font-{{ $section->font2 }}">{{ $section->sub_heading_1 }}</h4>
                    <div class="learn-more"><a href="{{ route('coming') }}" class="font-{{ $section->font3 }}">{{ $section->button_text_1 }}</a></div>
                </div>
            </div>
            <div class="row">
                <div
                    class="col-xxl-4 col-xl-4 col-lg-4 col-md-4 col-sm-12 col-12 d-xxl-block d-xl-block d-lg-block d-md-block d-sm-none d-none p-0">
                    <img class="img-fluid img-borderright" src="{{ asset(Storage::url($section->image_1)) }}"
                        alt="">
                </div>
                <div
                    class="col-xxl-4 col-xl-4 col-lg-4 col-md-4 col-sm-12 col-12 d-xxl-block d-xl-block d-lg-block d-md-block d-sm-none d-none p-0">
                    <img class="img-fluid img-border img-borderleftright"
                        src="{{ asset(Storage::url($section->image_2)) }}" alt="">
                </div>
                <div class="col-sm-12 col-12 d-xxl-none d-xl-none d-lg-none d-md-none d-sm-block d-block p-0">
                    <img class="img-fluid" src="{{ asset(Storage::url($section->image_4)) }}" alt="">
                </div>
                <div
                    class="col-xxl-4 col-xl-4 col-lg-4 col-md-4 col-sm-12 col-12 d-xxl-block d-xl-block d-lg-block d-md-block d-sm-none d-none p-0 ">
                    <img class="img-fluid img-borderleft" src="{{ asset(Storage::url($section->image_3)) }}"
                        alt="">
                </div>
            </div>
        </div>
    </section>
@endif
