@php
    $section = get_testimonials_section();
@endphp

@if ($section)

    <section class="sec4-main testimonial-main">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="">
                        <div class="row">
                            <div class="col-xxl-5 col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12">
                                <img class="img-fluid" src="{{ asset(Storage::url($section->image_1)) }}" alt="">
                            </div>
                            <div class="col-xxl-7 col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12">
                                <div class="testimonial-heading">
                                    <h4 class="font-{{ $section->font1 }}">Testimonials</h4>
                                </div>
                                <div class="comi-pic">
                                    <img src="{{ asset('imgs/comi.jpg') }}" alt="">
                                </div>
                                <div id="text-slider1" class="owl-carousel  owl-theme">
                                    @isset($section->testimonials)
                                        @foreach ($section->testimonials as $item)
                                            <div class="item prod-main">
                                                <div class="box-main">
                                                    <div class="font-{{ $section->font3 }}">
                                                        {!! $item->content !!}
                                                    </div>
                                                    @while ($item->rating--)
                                                        <i class="fa fa-star"></i>
                                                    @endwhile
                                                    <h3 class="font-{{ $section->font2 }}">{{ $item->name }}</h3>
                                                </div>
                                            </div>
                                        @endforeach
                                    @endisset
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

@endif
