@php
    $section = get_welcome_section();
@endphp

@if ($section)
    <section class="sec-2-main">
        <div class="container">
            <div class="row">
                <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12">
                    <div class="sec2">
                        <h2 class="font-{{ $section->font1 }}">{{ $section->heading }}</h2>
                        <img class="img-fluid" src="{{ asset(Storage::url($section->logo)) }}" alt="">
                        <div class="logo-line"></div>
                        <div class="font-{{ $section->font2 }}">
                            {!! $section->content !!}
                        </div>
                        <div class="book-line"></div>
                        <div class="book-b font-{{ $section->font3 }}">
                            <a href="{{ $section->button_url_1 }}">{{ $section->button_text_1 }}</a>
                        </div>
                    </div>
                </div>
                <div
                    class="col-xxl-6 col-xl-6 col-lg-6 col-md-12 col-sm-12 col-12 d-xxl-block d-xl-block d-lg-block d-md-none d-sm-none d-none">
                    <div class="sec2-p1">
                        <img class="img-fluid" src="{{ asset(Storage::url($section->image_1)) }}" alt="">
                    </div>
                </div>
            </div>
        </div>
    </section>
@endif
