<div class="row">
    @foreach($products as $product)
    @php
    $product_id=$product->product_id;
    $product_image=$product->image;
    $product_variation_first_image=isset($product->images[0]) ? $product->images[0]->image : '';
    $category_name=$category->name;
    $product_code=$product->product->product_code;
    $product_price=$product->price;
    @endphp
    <div class="col-xxl-4 col-xl-4 col-lg-6 col-md-6 col-sm-6 col-12">
        <div class="prod-main list-prod">
            <!--on hover start -->
            <div class="prod-opt">
                <div class="prod-icons">
                    <h2>
                        <a href="#">
                            <i class="fa fa-heart"></i>
                        </a>
                    </h2>
                    <h2>
                        <a href="#">
                            <i class="fa fa-exchange"></i>
                        </a>
                    </h2>
                    <h2>
                        <a href="#">
                            <i class="fa fa-eye"></i>
                        </a>
                    </h2>
                </div>
                <div class="add-cart">
                    <a href="{!! route('productDetail',['category'=>$category->alias,'product_code'=>$product_code,'variation_id'=>$product->id]) !!}"> Appointment</a>
                </div>
            </div>
            <div class="zoom-pic">
                <img class="img-fluid" src="{!! asset(Storage::url('public/products/'.$product_id.'/'.$product_variation_first_image)) !!}" alt="{{ $category_name.' '.$product_code }}">
            </div>
            <!--on hover end -->
            <img class="img-fluid" src="{!! asset(Storage::url('public/products/'.$product_id.'/'.$product_image)) !!}" alt="{{ $category_name.' '.$product_code }}">
        </div>
        <h2>{!! $product_code !!}</h2>
        <h4>{!! '$'.number_format($product_price, 2) !!}</h4>
    </div>
    @endforeach
</div>
<!-- <div class="col-12">
    <div class="page-number">
        <a class="page-number-on" href="#">1</a> <a href="#">2</a> <a href="#">></a>
    </div>
</div> -->
<div class="d-flex justify-content-center">
    {!! $products->links() !!}
</div>