@extends('layouts.page')

@section('content')
    <section class="intenal-heading">
        <div class="container">
            <div class="row">
                <div class="blog-head">
                    <h2>Our Services</h2>
                    <a href="{{ route('homepage') }}">Home</a>> <span>Our Services</span>
                </div>
            </div>
        </div>
    </section>

    <section class="blog-main">
        <div class="container">
            <div class="row">
                <div class="col-xxl-12 col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                    <div class="blog-heading">
                        <h2 class="blog-detail-head font-{{ $fonts->font1 }}">{{ $service->name }}</h2>
                    </div>

                    <img class="img-fluid" src="{{ asset(Storage::url($service->image)) }}" alt="">
                    <div class="blog-main-content font-{{ $fonts->font2 }}">
                        {!! $service->description !!}
                    </div>
                </div>

                <!--blog-list end-->
            </div>
        </div>
    </section>
@endsection
