@extends('layouts.page')

@section('content')

    <section class="intenal-heading">
        <div class="container">
            <div class="row">
                <div class="blog-head">
                    <h2>Our Services</h2>
                    <a href="{{ route('homepage') }}">Home</a>> <span>Our Services</span>
                </div>
            </div>
        </div>
    </section>

    <section class="blog-main">
        <div class="container">
            <div class="row">
                @foreach ($services as $item)
                    <div class="col-xxl-4 col-xl-4 col-lg-4 col-md-6 col-sm-12 col-12">
                        <div class="prod-main blog-list-main">
                            <div class="blog-pic">
                                <a href="{{ route('services', ['alias' => $item->alias]) }}">
                                    <img class="img-fluid" src="{{ asset(Storage::url($item->image)) }}">
                                </a>
                            </div>
                            <div class="blog-heading ">
                                <h2 class="blog-main-head font-{{ $fonts->font1 }}">
                                    <a href="{{ route('services', ['alias' => $item->alias]) }}">{{ $item->name }}</a>
                                </h2>

                                <div class="font-{{ $fonts->font2 }}">{!! Str::limit($item->description, 180) !!}</div>
                            </div>
                        </div>
                    </div>
                @endforeach

                <div>
                    {{ $services->onEachSide(4)->links() }}
                </div>
            </div>
        </div>
    </section>

@endsection
